<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Bicicleta.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">demo</a> &gt; <a href="index.source.html" class="el_package">bicicleta</a> &gt; <span class="el_source">Bicicleta.java</span></div><h1>Bicicleta.java</h1><pre class="source lang-java linenums">package bicicleta;

import java.time.Year;
import java.util.UUID;

public class Bicicleta {
	
	private String id;
	private String marca;
	private String modelo;
	private String ano;
	private int numero;
	private String status;
	
<span class="nc" id="L15">	public Bicicleta(String marca, String modelo, Year ano, int numero, Status status) {</span>
<span class="nc" id="L16">		this.id = &quot;2&quot;;</span>
				//UUID.randomUUID().toString();
<span class="nc" id="L18">		this.marca = marca;</span>
<span class="nc" id="L19">		this.modelo = modelo;</span>
<span class="nc" id="L20">		this.ano = String.valueOf(ano);</span>
<span class="nc" id="L21">		this.numero = numero;</span>
<span class="nc" id="L22">		this.status = status.toString();</span>
<span class="nc" id="L23">	}</span>

	public String getMarca() {
<span class="nc" id="L26">		return marca;</span>
	}
	
	public void setMarca(String marca) {
<span class="nc" id="L30">		this.marca = marca;</span>
<span class="nc" id="L31">	}</span>
	
	public String getModelo() {
<span class="nc" id="L34">		return modelo;</span>
	}
	
	public void setModelo(String modelo) {
<span class="nc" id="L38">		this.modelo = modelo;</span>
<span class="nc" id="L39">	}</span>
	
	public String getAno() {
<span class="nc" id="L42">		return ano;</span>
	}
	
	public void setAno(Year ano) {
<span class="nc" id="L46">		this.ano = String.valueOf(ano);</span>
<span class="nc" id="L47">	}</span>
	
	public int getNumero() {
<span class="nc" id="L50">		return numero;</span>
	}
	
	public void setNumero(int numero) {
<span class="nc" id="L54">		this.numero = numero;</span>
<span class="nc" id="L55">	}</span>
	
	public String getStatus() {
<span class="nc" id="L58">		return status;</span>
	}
	
	public void setStatus(Status status) {
<span class="nc" id="L62">		this.status = status.toString();</span>
<span class="nc" id="L63">	}</span>

	public String getId() {
<span class="nc" id="L66">		return id;</span>
	}
	
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.7.202105040129</span></div></body></html>